%define name dotconf
%define	major 0
%define	libname %mklibname dotconf %{major}
%define	libnamedevel %mklibname dotconf -d

Name: dotconf
Summary: A ConfigurationFile Parser Library
Version: 1.4.1
Release: %mkrel 1
License: LGPLv2
Group: System/Libraries
URL: https://github.com/williamh/dotconf
Source0: https://github.com/williamh/dotconf/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

%description
Dotconf is a configuration file parser library.

%package -n %{libname}
Summary: The shared libraries needed for running programs using dotconf
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n	%{libname}
Dotconf is a configuration file parser library.
This package contains only the shared libraries needed for running programs 
dynamically linked against dotconf.

%package -n %{libnamedevel}
Summary: The libraries and headers needed for dotconf development
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}dotconf-static-devel < 1.0.13-8

%description -n %{libnamedevel}
Dotconf is a configuration file parser library.
This package contains documentation, headers and shared library symlinks 
needed for dotconf development.

%package examples
Summary: The examples for the dotconf library
Group: Development/C
BuildArch: noarch

%description examples
Dotconf is a configuration file parser library.
This package contains examples, installed in the same place as the 
documentation.

%prep
%setup -q

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -fr %{buildroot}%{_libdir}/*.la %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{libnamedevel}
%doc AUTHORS README doc/dotconf*
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files examples
%doc examples/*


%changelog
* Sun Aug 25 2024 mrambo3501 <mrambo3501> 1.4.1-1.mga10
+ Revision: 2090997
- version 1.4.1
- fixed SOURCE0

* Tue Mar 15 2022 umeabot <umeabot> 1.3-9.mga9
+ Revision: 1791827
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.3-8.mga8
+ Revision: 1511916
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.3-7.mga7
+ Revision: 1297490
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.3-6.mga6
+ Revision: 943529
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 743133
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 678817
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 503936
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 349067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 fwang <fwang> 1.3-1.mga2
+ Revision: 201772
- new version 1.3

* Thu Jan 26 2012 fwang <fwang> 1.0.13-8.mga2
+ Revision: 201767
- update file list
- update file list
- drop .la files

* Thu Jan 20 2011 ahmad <ahmad> 1.0.13-7.mga1
+ Revision: 25788
- drop old/unneeded scriptlets
- imported package dotconf


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-6mdv2011.0
+ Revision: 604812
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-5mdv2010.1
+ Revision: 522483
- rebuilt for 2010.1

* Thu Jul 30 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.13-4mdv2010.0
+ Revision: 404650
- Fix build

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.0.13-4mdv2009.0
+ Revision: 244518
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 13 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.13-2mdv2008.1
+ Revision: 187511
- Patch0: fix aclocal warning

* Tue Dec 18 2007 Guillaume Bedot <littletux@mandriva.org> 1.0.13-1mdv2008.1
+ Revision: 132128
- import dotconf


* Tue Dec 18 2007 Guillaume Bedot <littletux@mandriva.org> 1.0.13-1mdv2008.1
- First package of dotconf for MandrivaLinux.
